Loading...
Searching...
No Matches
mdds::mtv::clone_block< BlockT, std::void_t< decltype(clone_value< typename BlockT::value_type >{})> > Struct Template Reference

`#include <types.hpp>`

## Public Types

using | store_type = typename BlockT::store_type
using | value_type = typename BlockT::value_type
using | CV = clone_value<value_type>

## Public Member Functions

BlockT * | operator() (const BlockT &src) const

## Detailed Description

template<typename BlockT>
struct mdds::mtv::clone_block< BlockT, std::void_t< decltype(clone_value< typename BlockT::value_type >{})> >

Specialization for non-copyable element block type with valid clone_value specialization for the value type of the block.

Parameters

  <BlockT> | Element block type which must be non-copyable.